%bcond_without python
%if %{with python}
%{?filter_setup:
%filter_provides_in %{python3_sitearch}/perfmon/.*\.so$
%filter_setup
}
%endif
%define lname      pfm
%define libmajor   4
%define libname    %mklibname %lname %libmajor
%define develname  %mklibname %lname -d
%define staticname %mklibname %lname -s -d

Name:		libpfm
Version:	4.13.0
Release:	%mkrel 3
Summary:	Library to encode performance events for use by perf tool
Group:		System/Libraries
License:	MIT
URL:		https://perfmon2.sourceforge.net/
Source0:	https://sourceforge.net/projects/perfmon2/files/libpfm4/%{name}-%{version}.tar.gz
Patch2:		libpfm-python3-setup.patch

%if %{with python}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	swig
%endif

%description
libpfm4 is a library to help encode events for use with operating system
kernels performance monitoring interfaces. The current version provides support
for the perf_events interface available in upstream Linux kernels since v2.6.31.

%package -n %libname
Summary:	Library to encode performance events for use by perf tool
Group:		System/Libraries
License:	MIT

%description -n %libname
libpfm4 is a library to help encode events for use with operating system
kernels performance monitoring interfaces. The current version provides support
for the perf_events interface available in upstream Linux kernels since
v2.6.31.

%package -n %develname
Summary:	Development library to encode performance events for perf_events based tools
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{lname}-devel = %{version}-%{release}

%description -n %develname
Development library and header files to create performance monitoring
applications for the perf_events interface.

%package -n %staticname
Summary:	Static library to encode performance events for perf_events based tools
Group:		Development/C
Requires:	%develname = %{version}-%{release}
Provides:	%{lname}-static-devel = %{version}-%{release}

%description -n %staticname
Static version of the libpfm library for performance monitoring applications
for the perf_events interface.

%if %{with python}
%package -n python3-libpfm
Summary:	Python 3 bindings for libpfm and perf_event_open system call
Group:		Development/Python
%{?python_provide:%python_provide python3-libpfm}
Provides:	%{name}-python = %{version}-%{release}
Provides:	%{name}-python%{?_isa} = %{version}-%{release}

%description -n python3-libpfm
Python 3 bindings for libpfm4 and perf_event_open system call.
%endif

%prep
%autosetup -p1

%build
%make_build OPTIM="%{optflags}" LDFLAGS="%{ldflags}"

%if %{with python}
pushd python
%pyproject_wheel
popd
%endif

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} LDCONFIG=/bin/true

%if %{with python}
pushd python
%pyproject_install
popd
%endif

%files -n %libname
%doc README
%{_libdir}/lib*.so.%{libmajor}{,.*}

%files -n %develname
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/lib*.so

%files -n %staticname
%{_libdir}/lib*.a

%if %{with python}
%files -n python3-libpfm
%{python3_sitearch}/perfmon-*.dist-info/
%{python3_sitearch}/perfmon/
%endif



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 4.13.0-3.mga10
+ Revision: 2242674
- Mageia 10 Mass Rebuild

* Tue Mar 04 2025 wally <wally> 4.13.0-2.mga10
+ Revision: 2160332
- rebuild for python3.13

* Sat Feb 24 2024 daviddavid <daviddavid> 4.13.0-1.mga10
+ Revision: 2043996
- new version: 4.13.0
- rebuild for py3.12
- drop mga-pointer-realloc patch

* Tue Mar 15 2022 danf <danf> 4.11.0-2.mga9
+ Revision: 1792161
- Add pointer-realloc.patch to fix compile error on gcc 12

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 4.11.0-1.mga9
+ Revision: 1787143
- version 4.11.0
- rebuild for python-3.10

* Wed Apr 21 2021 daviddavid <daviddavid> 4.10.1-3.mga9
+ Revision: 1717705
- rebuild for python 3.9
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 4.10.1-2.mga8
+ Revision: 1533453
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 4.10.1-1.mga8
+ Revision: 1444538
- new version: 4.10.1
- port to python 3

* Sun Sep 23 2018 umeabot <umeabot> 4.9.0-8.mga7
+ Revision: 1299089
- Mageia 7 Mass Rebuild

* Mon May 07 2018 daviddavid <daviddavid> 4.9.0-7.mga7
+ Revision: 1226894
- fix requires

* Thu Apr 19 2018 buchan <buchan> 4.9.0-6.mga7
+ Revision: 1220334
- imported package libpfm


* Mon Feb 26 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.0-6
- Pass in LDFLAGS for build.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 30 2018 William Cohen <wcohen@redhat.com> - 4.9.0-4
- Address truncation issues.

* Tue Jan 30 2018 William Cohen <wcohen@redhat.com> - 4.9.0-3
- Use the RPM build flags. (RHBZ #1540262)

* Tue Jan 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 4.9.0-2
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jan 4 2018 William Cohen <wcohen@redhat.com> - 4.9.0-1
- Rebase on libpfm-4.9.0.

* Sun Aug 20 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.8.0-8
- Add Provides for the old name without %%_isa

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.8.0-7
- Python 2 binary package renamed to python2-libpfm
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 4.8.0-4
- Rebuild due to bug in RPM (RHBZ #1468476)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Nov 7 2016 William Cohen <wcohen@redhat.com> - 4.8.0-1
- Rebase on libpfm-4.8.0.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 11 2016 William Cohen <wcohen@redhat.com> - 4.7.0-1
- Rebase on libpfm-4.7.0.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 4 2015 William Cohen <wcohen@redhat.com> - 4.6.0-2
- Correct requires for subpackages.

* Thu Mar 5 2015 William Cohen <wcohen@redhat.com> - 4.6.0-1
- Rebase on libpfm-4.6.0.

* Wed Feb 11 2015 William Cohen <wcohen@redhat.com> - 4.5.0-6
- Bump version and rebuild.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 4.5.0-4
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 William Cohen <wcohen@redhat.com> 4.5.0-2
- Add cortex a53 support.

* Fri May 23 2014 William Cohen <wcohen@redhat.com> 4.5.0-1
- Rebase on libpfm-4.5.0.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 19 2013 William Cohen <wcohen@redhat.com> 4.4.0-2
- Add IBM power 8 support.

* Mon Jun 17 2013 William Cohen <wcohen@redhat.com> 4.4.0-1
- Rebase on libpfm-4.4.0.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 28 2012 William Cohen <wcohen@redhat.com> 4.3.0-2
- Turn off LDCONFIG and remove patch.

* Tue Aug 28 2012 William Cohen <wcohen@redhat.com> 4.3.0-1
- Rebase on libpfm-4.3.0.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 8 2012 William Cohen <wcohen@redhat.com> 4.2.0-7
- Eliminate swig error.

* Thu Jun 7 2012 William Cohen <wcohen@redhat.com> 4.2.0-6
- Eliminate rpm_build_root macro in build section.
- Correct location of shared library files.

* Thu Jun 7 2012 William Cohen <wcohen@redhat.com> 4.2.0-5
- Use siginfo_t for some examples.

* Mon Jun 4 2012 William Cohen <wcohen@redhat.com> 4.2.0-4
- Correct python files.

* Wed Mar 28 2012 William Cohen <wcohen@redhat.com> 4.2.0-3
- Additional spec file fixup for rhbz804666.

* Wed Mar 14 2012 William Cohen <wcohen@redhat.com> 4.2.0-2
- Some spec file fixup.

* Wed Jan 12 2011 Arun Sharma <asharma@fb.com> 4.2.0-0
Initial revision
